QGIS Application - Bug report #4714
unsaved changes to the legend in print composer
2011-12-29 02:10 AM - Salvatore Oliveto

Status: Closed
Priority: Normal
Assignee:
Category:

Affected QGIS version:1.7.3
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 14597

Description

Hi, if in print composer | change the caption, for example deleting some not necessary elements of the legend and | save the map in gpt
format, when | reopened qpt file, previously deleted items are displayed again. In practice these changes are not saved in the file gpt.

History

#1 - 2012-01-12 02:35 AM - Andreas Neumann

Actually the situation is different - the save to the .qpt is correct, but the loading does not honour the changes and opens the full legend. So it is more a

loading/parsing/filtering issue.

| have to agree - it is very annoying if one invested a lot of time in changing the legend ...

#2 - 2012-09-04 12:10 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2012-10-06 10:20 AM - Giovanni Manghi
- Category changed from Map Legend to 33

#4 - 2013-09-22 01:38 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed
